import { autoAnimatePlugin } from '@formkit/auto-animate/vue'
import { plugin, /* defaultConfig */ } from '@formkit/vue'
import { createApp } from 'vue'
import formKitConfig from '../formkit.config'
import App from './App.vue'

import PrimeVue from "primevue/config";
import Aura from '@primevue/themes/aura';
import ToastService from 'primevue/toastservice';


// import '@unocss/reset/normalize.css'
// import '@unocss/reset/sanitize/sanitize.css'
// import '@unocss/reset/sanitize/assets.css'
// import '@unocss/reset/eric-meyer.css'
// import '@unocss/reset/tailwind-compat.css'
// import '@unocss/reset/tailwind.css'

import 'virtual:uno.css'
import 'primeicons/primeicons.css'

const app = createApp(App)
app.use(PrimeVue, { theme: { preset: Aura } });
app.use(ToastService);


// https://github.dev/formkit/auto-animate/blob/master/docs/src/examples/formkit/ActualFormKit.vue
app.use(autoAnimatePlugin) // v-auto-animate="{ duration: 100 }"

app.use(plugin, formKitConfig)
app.mount('#app')
